Subject: Re: bug#44717: ISO grub config points to nonexistent drive UUID.

From: Bengt Richter <[email-masked]>
Date: Wed, 18 Nov 2020 19:09:48 +0100

Hi Jesse,

On +2020-11-17 21:56:32 -0700, Jesse Gibbons wrote:
[...]
> 
> I generated the iso with the command
> `guix system disk-image -t iso9660 --root=installer.BaNl/install-x86.iso
> --system=i686-linux gnu/system/install.scm`
> and flash the sd card with the command
> `sudo bash -c "echo success" && time sudo dd if=install-x86.iso of=/dev/sdc`
>

&& sync ??

I think I have gotten corrupted results before, by assuming that DD does its own sync
of its output all the way to completed writing to destination disk before returning.
(not sure if of= was an ordinary file when I got hit, though ;)

> When I inspect the GRUB menu, I see the option
> --root=31393730-3031-3031-3139-333534353239
> but in the gnome disk utility on my main laptop I do not see the above UUID
> in any of the partitions on the SD card I'm using, still with the freshly
> built install iso flashed onto it. Instead I see the UUIDs
> 1970-01-01-19-49-46-83 for partition 1 and 3495-32E0 for partition 2.
> 
> Thanks,
> -Jesse
> 
> 
> 

-- 
Regards,
Bengt Richter